AbstractMessageContainer (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.service.model, class: AbstractMessageContainer

Package org.apache.cxf.service.model

# Class AbstractMessageContainer

java.lang.Object
org.apache.cxf.service.model.AbstractPropertiesHolder
org.apache.cxf.service.model.AbstractMessageContainer

All Implemented Interfaces:
  `Extensible`, `NamedItem`

Direct Known Subclasses:
  `FaultInfo`, `MessageInfo`

public abstract class AbstractMessageContainer extends AbstractPropertiesHolder implements NamedItem

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected QName`
  `mName`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MessagePartInfo`
  `addMessagePart(String name)`
  `MessagePartInfo`
  `addMessagePart(QName name)`
  Adds a message part to this container.
  `void`
  `addMessagePart(MessagePartInfo part)`
  Adds a message part to this container.
  `MessagePartInfo`
  `addOutOfBandMessagePart(QName name)`
  `boolean`
  `equals(Object o)`
  `MessagePartInfo`
  `getFirstMessagePart()`
  `String`
  `getMessageDocumentation()`
  `MessagePartInfo`
  `getMessagePart(int n)`
  Returns the n'th message part.
  `MessagePartInfo`
  `getMessagePart(QName name)`
  Returns the message part with the given name, if found.
  `MessagePartInfo`
  `getMessagePartByIndex(int i)`
  `int`
  `getMessagePartIndex(MessagePartInfo part)`
  `QName`
  `getMessagePartQName(String name)`
  `List<MessagePartInfo>`
  `getMessageParts()`
  Returns all message parts for this message.
  `int`
  `getMessagePartsNumber()`
  `QName`
  `getName()`
  `OperationInfo`
  `getOperation()`
  Returns the operation of this container.
  `List<MessagePartInfo>`
  `getOutOfBandParts()`
  `int`
  `hashCode()`
  `void`
  `removeMessagePart(QName name)`
  Removes an message part from this container.
  `void`
  `setMessageDocumentation(String doc)`
  `int`
  `size()`

  ### Methods inherited from class org.apache.cxf.service.model.AbstractPropertiesHolder

  `addExtensionAttribute, addExtensor, containsExtensor, equals, getDocumentation, getExtensionAttribute, getExtensionAttributes, getExtensor, getExtensors, getExtensors, getProperties, getProperty, getProperty, getTraversedExtensor, hasProperty, removeProperty, setDelegate, setDocumentation, setExtensionAttributes, setProperty`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### mName

    protected QName mName

- ## Method Details

  - ### getMessageDocumentation

    public String getMessageDocumentation()

  - ### setMessageDocumentation

    public void setMessageDocumentation(String doc)

  - ### getName

    public QName getName()
    Specified by:
      `getName` in interface `NamedItem`

  - ### getOperation

    public OperationInfo getOperation()
    Returns the operation of this container.
    Returns:
      the operation.

  - ### addMessagePart

    public MessagePartInfo addMessagePart(QName name)
    Adds a message part to this container.
    Parameters:
      `name` - the qualified name of the message part
    Returns:
      name the newly created `MessagePartInfo` object

  - ### getMessagePartQName

    public QName getMessagePartQName(String name)

  - ### addMessagePart

    public MessagePartInfo addMessagePart(String name)

  - ### addMessagePart

    public void addMessagePart(MessagePartInfo part)
    Adds a message part to this container.
    Parameters:
      `part` - the message part.

  - ### getMessagePartIndex

    public int getMessagePartIndex(MessagePartInfo part)

  - ### getMessagePartByIndex

    public MessagePartInfo getMessagePartByIndex(int i)

  - ### removeMessagePart

    public void removeMessagePart(QName name)
    Removes an message part from this container.
    Parameters:
      `name` - the qualified message part name.

  - ### getMessagePart

    public MessagePartInfo getMessagePart(QName name)
    Returns the message part with the given name, if found.
    Parameters:
      `name` - the qualified name.
    Returns:
      the message part; or `null` if not found.

  - ### getMessagePart

    public MessagePartInfo getMessagePart(int n)
    Returns the n'th message part.
    Parameters:
      `n` - the n'th part to retrieve.
    Returns:
      the message part; or `null` if not found.

  - ### addOutOfBandMessagePart

    public MessagePartInfo addOutOfBandMessagePart(QName name)

  - ### getMessageParts

    public List<MessagePartInfo> getMessageParts()
    Returns all message parts for this message.
    Returns:
      all message parts.

  - ### getMessagePartsNumber

    public int getMessagePartsNumber()

  - ### getFirstMessagePart

    public MessagePartInfo getFirstMessagePart()

  - ### getOutOfBandParts

    public List<MessagePartInfo> getOutOfBandParts()

  - ### size

    public int size()

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`